--IP Functional Simulation Model
--VERSION_BEGIN 11.1SP2 cbx_mgl 2012:01:25:21:26:09:SJ cbx_simgen 2012:01:25:21:25:27:SJ  VERSION_END


-- Copyright (C) 1991-2011 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- You may only use these simulation model output files for simulation
-- purposes and expressly not for synthesis or any other purposes (in which
-- event Altera disclaims all warranties of any kind).


--synopsys translate_off

 LIBRARY sgate;
 USE sgate.sgate_pack.all;

--synthesis_resources = lut 32 mux21 44 oper_add 3 
 LIBRARY ieee;
 USE ieee.std_logic_1164.all;

 ENTITY  altera_merlin_slave_agent_0013 IS 
	 PORT 
	 ( 
		 clk	:	IN  STD_LOGIC;
		 cp_channel	:	IN  STD_LOGIC_VECTOR (6 DOWNTO 0);
		 cp_data	:	IN  STD_LOGIC_VECTOR (68 DOWNTO 0);
		 cp_endofpacket	:	IN  STD_LOGIC;
		 cp_ready	:	OUT  STD_LOGIC;
		 cp_startofpacket	:	IN  STD_LOGIC;
		 cp_valid	:	IN  STD_LOGIC;
		 m0_address	:	OUT  STD_LOGIC_VECTOR (13 DOWNTO 0);
		 m0_burstcount	:	OUT  STD_LOGIC_VECTOR (2 DOWNTO 0);
		 m0_byteenable	:	OUT  STD_LOGIC_VECTOR (3 DOWNTO 0);
		 m0_debugaccess	:	OUT  STD_LOGIC;
		 m0_lock	:	OUT  STD_LOGIC;
		 m0_read	:	OUT  STD_LOGIC;
		 m0_readdata	:	IN  STD_LOGIC_VECTOR (31 DOWNTO 0);
		 m0_readdatavalid	:	IN  STD_LOGIC;
		 m0_waitrequest	:	IN  STD_LOGIC;
		 m0_write	:	OUT  STD_LOGIC;
		 m0_writedata	:	OUT  STD_LOGIC_VECTOR (31 DOWNTO 0);
		 rdata_fifo_sink_data	:	IN  STD_LOGIC_VECTOR (31 DOWNTO 0);
		 rdata_fifo_sink_ready	:	OUT  STD_LOGIC;
		 rdata_fifo_sink_valid	:	IN  STD_LOGIC;
		 rdata_fifo_src_data	:	OUT  STD_LOGIC_VECTOR (31 DOWNTO 0);
		 rdata_fifo_src_ready	:	IN  STD_LOGIC;
		 rdata_fifo_src_valid	:	OUT  STD_LOGIC;
		 reset	:	IN  STD_LOGIC;
		 rf_sink_data	:	IN  STD_LOGIC_VECTOR (69 DOWNTO 0);
		 rf_sink_endofpacket	:	IN  STD_LOGIC;
		 rf_sink_ready	:	OUT  STD_LOGIC;
		 rf_sink_startofpacket	:	IN  STD_LOGIC;
		 rf_sink_valid	:	IN  STD_LOGIC;
		 rf_source_data	:	OUT  STD_LOGIC_VECTOR (69 DOWNTO 0);
		 rf_source_endofpacket	:	OUT  STD_LOGIC;
		 rf_source_ready	:	IN  STD_LOGIC;
		 rf_source_startofpacket	:	OUT  STD_LOGIC;
		 rf_source_valid	:	OUT  STD_LOGIC;
		 rp_data	:	OUT  STD_LOGIC_VECTOR (68 DOWNTO 0);
		 rp_endofpacket	:	OUT  STD_LOGIC;
		 rp_ready	:	IN  STD_LOGIC;
		 rp_startofpacket	:	OUT  STD_LOGIC;
		 rp_valid	:	OUT  STD_LOGIC
	 ); 
 END altera_merlin_slave_agent_0013;

 ARCHITECTURE RTL OF altera_merlin_slave_agent_0013 IS

	 ATTRIBUTE synthesis_clearbox : natural;
	 ATTRIBUTE synthesis_clearbox OF RTL : ARCHITECTURE IS 1;
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_0_1135q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_10_1082q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_11_1081q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_12_1080q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_13_1079q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_1_1091q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_2_1090q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_3_1089q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_4_1088q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_5_1087q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_6_1086q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_7_1085q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_8_1084q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_9_1083q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_busy_1043q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_0_1078q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1_1045q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_2_1044q	:	STD_LOGIC := '0';
	 SIGNAL  wire_nl_w620w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nl_w329w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nl_w621w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_nl_w619w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_0_1019q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_10_1139q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_11_1138q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_12_1137q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_13_1136q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_1_1148q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_2_1147q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_3_1146q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_4_1145q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_5_1144q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_6_1143q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_7_1142q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_8_1141q	:	STD_LOGIC := '0';
	 SIGNAL	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_9_1140q	:	STD_LOGIC := '0';
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1027m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1028m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1029m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1031m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1032m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1033m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1036m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1037m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1038m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1092m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1093m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1094m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1095m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1096m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1097m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1098m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1099m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1100m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1101m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1102m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1103m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1104m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1105m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_1022m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_0_1176m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_10_1166m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_11_1165m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_12_1164m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_13_1163m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_1_1175m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_2_1174m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_3_1173m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_4_1172m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_5_1171m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_6_1170m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_7_1169m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_8_1168m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_9_1167m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_0_1015m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_1_1014m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_2_1013m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_burstcount_0_479m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_burstcount_1_478m_dataout	:	STD_LOGIC;
	 SIGNAL	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_burstcount_2_477m_dataout	:	STD_LOGIC;
	 SIGNAL  wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_1026_a	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_1026_b	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_gnd	:	STD_LOGIC;
	 SIGNAL  wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_1026_o	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1030_a	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1030_b	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1030_o	:	STD_LOGIC_VECTOR (3 DOWNTO 0);
	 SIGNAL  wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_a	:	STD_LOGIC_VECTOR (13 DOWNTO 0);
	 SIGNAL  wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_b	:	STD_LOGIC_VECTOR (13 DOWNTO 0);
	 SIGNAL  wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_o	:	STD_LOGIC_VECTOR (13 DOWNTO 0);
	 SIGNAL  wire_w_lg_cp_valid61w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_rf_source_ready62w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range697w743w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range694w696w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range692w693w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range690w691w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range688w689w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range686w687w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range684w685w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range682w683w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range680w681w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range678w679w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range676w677w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range674w675w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range672w673w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range669w671w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_m0_waitrequest598w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_reset613w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w667w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w602w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range300w742w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range302w695w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range305w670w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_lg_w_rf_sink_data_range291w293w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_always0_1024_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_always1_1046_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_1023_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_sink_ready_1180_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_wideor0_1025_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_comb_497_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_cp_ready_472_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_local_compressed_read_467_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_local_read_466_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_local_write_465_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_burstcount_476_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_read_473_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_read_474_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_write_480_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_nonposted_write_endofpacket_470_dataout :	STD_LOGIC;
	 SIGNAL  s_wire_vcc :	STD_LOGIC;
	 SIGNAL  wire_w_cp_data_range60w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range697w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range694w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range692w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range690w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range688w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range686w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range684w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range682w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range680w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range678w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range676w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range674w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range672w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range669w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range291w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range292w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range300w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range302w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
	 SIGNAL  wire_w_rf_sink_data_range305w	:	STD_LOGIC_VECTOR (0 DOWNTO 0);
 BEGIN

	wire_gnd <= '0';
	wire_w_lg_cp_valid61w(0) <= cp_valid AND wire_w_cp_data_range60w(0);
	wire_w_lg_rf_source_ready62w(0) <= rf_source_ready AND wire_w_lg_cp_valid61w(0);
	wire_w_lg_w_rf_sink_data_range697w743w(0) <= wire_w_rf_sink_data_range697w(0) AND wire_w_lg_w_rf_sink_data_range300w742w(0);
	wire_w_lg_w_rf_sink_data_range694w696w(0) <= wire_w_rf_sink_data_range694w(0) AND wire_w_lg_w_rf_sink_data_range302w695w(0);
	wire_w_lg_w_rf_sink_data_range692w693w(0) <= wire_w_rf_sink_data_range692w(0) AND wire_w_lg_w_rf_sink_data_range305w670w(0);
	wire_w_lg_w_rf_sink_data_range690w691w(0) <= wire_w_rf_sink_data_range690w(0) AND wire_w_lg_w_rf_sink_data_range305w670w(0);
	wire_w_lg_w_rf_sink_data_range688w689w(0) <= wire_w_rf_sink_data_range688w(0) AND wire_w_lg_w_rf_sink_data_range305w670w(0);
	wire_w_lg_w_rf_sink_data_range686w687w(0) <= wire_w_rf_sink_data_range686w(0) AND wire_w_lg_w_rf_sink_data_range305w670w(0);
	wire_w_lg_w_rf_sink_data_range684w685w(0) <= wire_w_rf_sink_data_range684w(0) AND wire_w_lg_w_rf_sink_data_range305w670w(0);
	wire_w_lg_w_rf_sink_data_range682w683w(0) <= wire_w_rf_sink_data_range682w(0) AND wire_w_lg_w_rf_sink_data_range305w670w(0);
	wire_w_lg_w_rf_sink_data_range680w681w(0) <= wire_w_rf_sink_data_range680w(0) AND wire_w_lg_w_rf_sink_data_range305w670w(0);
	wire_w_lg_w_rf_sink_data_range678w679w(0) <= wire_w_rf_sink_data_range678w(0) AND wire_w_lg_w_rf_sink_data_range305w670w(0);
	wire_w_lg_w_rf_sink_data_range676w677w(0) <= wire_w_rf_sink_data_range676w(0) AND wire_w_lg_w_rf_sink_data_range305w670w(0);
	wire_w_lg_w_rf_sink_data_range674w675w(0) <= wire_w_rf_sink_data_range674w(0) AND wire_w_lg_w_rf_sink_data_range305w670w(0);
	wire_w_lg_w_rf_sink_data_range672w673w(0) <= wire_w_rf_sink_data_range672w(0) AND wire_w_lg_w_rf_sink_data_range305w670w(0);
	wire_w_lg_w_rf_sink_data_range669w671w(0) <= wire_w_rf_sink_data_range669w(0) AND wire_w_lg_w_rf_sink_data_range305w670w(0);
	wire_w_lg_m0_waitrequest598w(0) <= NOT m0_waitrequest;
	wire_w_lg_reset613w(0) <= NOT reset;
	wire_w667w(0) <= NOT s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_1023_dataout;
	wire_w602w(0) <= NOT s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_local_compressed_read_467_dataout;
	wire_w_lg_w_rf_sink_data_range300w742w(0) <= NOT wire_w_rf_sink_data_range300w(0);
	wire_w_lg_w_rf_sink_data_range302w695w(0) <= NOT wire_w_rf_sink_data_range302w(0);
	wire_w_lg_w_rf_sink_data_range305w670w(0) <= NOT wire_w_rf_sink_data_range305w(0);
	wire_w_lg_w_rf_sink_data_range291w293w(0) <= wire_w_rf_sink_data_range291w(0) OR wire_w_rf_sink_data_range292w(0);
	cp_ready <= s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_cp_ready_472_dataout;
	m0_address <= ( cp_data(49 DOWNTO 36));
	m0_burstcount <= ( wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_burstcount_2_477m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_burstcount_1_478m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_burstcount_0_479m_dataout);
	m0_byteenable <= ( cp_data(35 DOWNTO 32));
	m0_debugaccess <= cp_data(68);
	m0_lock <= (wire_w_lg_rf_source_ready62w(0) AND (s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_read_474_dataout OR s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_write_480_dataout));
	m0_read <= s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_read_474_dataout;
	m0_write <= s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_write_480_dataout;
	m0_writedata <= ( cp_data(31 DOWNTO 0));
	rdata_fifo_sink_ready <= ((rp_ready AND rdata_fifo_sink_valid) AND (NOT (rf_sink_valid AND rf_sink_data(69))));
	rdata_fifo_src_data <= ( m0_readdata(31 DOWNTO 0));
	rdata_fifo_src_valid <= m0_readdatavalid;
	rf_sink_ready <= (s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_1023_dataout AND s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_sink_ready_1180_dataout);
	rf_source_data <= ( s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_nonposted_write_endofpacket_470_dataout & cp_data(68 DOWNTO 32) & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0");
	rf_source_endofpacket <= cp_endofpacket;
	rf_source_startofpacket <= cp_startofpacket;
	rf_source_valid <= (s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_cp_ready_472_dataout AND (rf_source_ready AND (s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_nonposted_write_endofpacket_470_dataout OR s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_read_473_dataout)));
	rp_data <= ( rf_sink_data(68) & rf_sink_data(64 DOWNTO 62) & rf_sink_data(67 DOWNTO 65) & rf_sink_data(61 DOWNTO 58) & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_2_1013m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_1_1014m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_0_1015m_dataout & rf_sink_data(54) & wire_w_lg_w_rf_sink_data_range291w293w & rf_sink_data(52 DOWNTO 51) & "0" & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_13_1163m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_12_1164m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_11_1165m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_10_1166m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_9_1167m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_8_1168m_dataout
 & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_7_1169m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_6_1170m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_5_1171m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_4_1172m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_3_1173m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_2_1174m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_1_1175m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_0_1176m_dataout & rf_sink_data(35 DOWNTO 32) & rdata_fifo_sink_data(31 DOWNTO 0));
	rp_endofpacket <= (rf_sink_endofpacket AND s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_1023_dataout);
	rp_startofpacket <= (rf_sink_startofpacket AND wire_nl_w329w(0));
	rp_valid <= (rdata_fifo_sink_valid OR s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_comb_497_dataout);
	s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_always0_1024_dataout <= (s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_comb_497_dataout AND s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_sink_ready_1180_dataout);
	s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_always1_1046_dataout <= (rp_ready AND s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout);
	s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout <= (s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_comb_497_dataout AND wire_nl_w329w(0));
	s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_1023_dataout <= ((NOT rf_sink_data(50)) OR wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_1022m_dataout);
	s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_sink_ready_1180_dataout <= (rp_ready AND s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_comb_497_dataout);
	s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_wideor0_1025_dataout <= ((altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_2_1044q OR altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1_1045q) OR altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_0_1078q);
	s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_comb_497_dataout <= (rf_sink_valid AND (rf_sink_data(69) OR rdata_fifo_sink_valid));
	s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_cp_ready_472_dataout <= (wire_w_lg_m0_waitrequest598w(0) AND rf_source_ready);
	s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_local_compressed_read_467_dataout <= (cp_valid AND cp_data(50));
	s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_local_read_466_dataout <= (cp_valid AND cp_data(53));
	s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_local_write_465_dataout <= (cp_valid AND cp_data(52));
	s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_burstcount_476_dataout <= (s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_local_read_466_dataout AND wire_w602w(0));
	s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_read_473_dataout <= (s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_local_read_466_dataout OR s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_local_compressed_read_467_dataout);
	s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_read_474_dataout <= (rf_source_ready AND s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_read_473_dataout);
	s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_write_480_dataout <= (rf_source_ready AND s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_local_write_465_dataout);
	s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_nonposted_write_endofpacket_470_dataout <= ((NOT cp_data(51)) AND (cp_endofpacket AND s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_local_write_465_dataout));
	s_wire_vcc <= '1';
	wire_w_cp_data_range60w(0) <= cp_data(54);
	wire_w_rf_sink_data_range697w(0) <= rf_sink_data(36);
	wire_w_rf_sink_data_range694w(0) <= rf_sink_data(37);
	wire_w_rf_sink_data_range692w(0) <= rf_sink_data(38);
	wire_w_rf_sink_data_range690w(0) <= rf_sink_data(39);
	wire_w_rf_sink_data_range688w(0) <= rf_sink_data(40);
	wire_w_rf_sink_data_range686w(0) <= rf_sink_data(41);
	wire_w_rf_sink_data_range684w(0) <= rf_sink_data(42);
	wire_w_rf_sink_data_range682w(0) <= rf_sink_data(43);
	wire_w_rf_sink_data_range680w(0) <= rf_sink_data(44);
	wire_w_rf_sink_data_range678w(0) <= rf_sink_data(45);
	wire_w_rf_sink_data_range676w(0) <= rf_sink_data(46);
	wire_w_rf_sink_data_range674w(0) <= rf_sink_data(47);
	wire_w_rf_sink_data_range672w(0) <= rf_sink_data(48);
	wire_w_rf_sink_data_range669w(0) <= rf_sink_data(49);
	wire_w_rf_sink_data_range291w(0) <= rf_sink_data(50);
	wire_w_rf_sink_data_range292w(0) <= rf_sink_data(53);
	wire_w_rf_sink_data_range300w(0) <= rf_sink_data(58);
	wire_w_rf_sink_data_range302w(0) <= rf_sink_data(59);
	wire_w_rf_sink_data_range305w(0) <= rf_sink_data(60);
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_0_1135q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_10_1082q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_11_1081q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_12_1080q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_13_1079q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_1_1091q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_2_1090q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_3_1089q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_4_1088q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_5_1087q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_6_1086q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_7_1085q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_8_1084q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_9_1083q <= '0';
		ELSIF (clk = '1' AND clk'event) THEN
			IF (s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_always1_1046_dataout = '1') THEN
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_0_1135q <= wire_w_lg_w_rf_sink_data_range697w743w(0);
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_10_1082q <= wire_w_lg_w_rf_sink_data_range676w677w(0);
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_11_1081q <= wire_w_lg_w_rf_sink_data_range674w675w(0);
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_12_1080q <= wire_w_lg_w_rf_sink_data_range672w673w(0);
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_13_1079q <= wire_w_lg_w_rf_sink_data_range669w671w(0);
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_1_1091q <= wire_w_lg_w_rf_sink_data_range694w696w(0);
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_2_1090q <= wire_w_lg_w_rf_sink_data_range692w693w(0);
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_3_1089q <= wire_w_lg_w_rf_sink_data_range690w691w(0);
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_4_1088q <= wire_w_lg_w_rf_sink_data_range688w689w(0);
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_5_1087q <= wire_w_lg_w_rf_sink_data_range686w687w(0);
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_6_1086q <= wire_w_lg_w_rf_sink_data_range684w685w(0);
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_7_1085q <= wire_w_lg_w_rf_sink_data_range682w683w(0);
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_8_1084q <= wire_w_lg_w_rf_sink_data_range680w681w(0);
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_9_1083q <= wire_w_lg_w_rf_sink_data_range678w679w(0);
			END IF;
		END IF;
	END PROCESS;
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_busy_1043q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_0_1078q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1_1045q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_2_1044q <= '0';
		ELSIF (clk = '1' AND clk'event) THEN
			IF (s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_always0_1024_dataout = '1') THEN
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_busy_1043q <= wire_w667w(0);
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_0_1078q <= wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1038m_dataout;
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1_1045q <= wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1037m_dataout;
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_2_1044q <= wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1036m_dataout;
			END IF;
		END IF;
	END PROCESS;
	wire_nl_w620w(0) <= altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_2_1044q AND wire_nl_w619w(0);
	wire_nl_w329w(0) <= NOT altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_busy_1043q;
	wire_nl_w621w(0) <= NOT altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_0_1078q;
	wire_nl_w619w(0) <= NOT altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1_1045q;
	PROCESS (clk, reset)
	BEGIN
		IF (reset = '1') THEN
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_0_1019q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_10_1139q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_11_1138q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_12_1137q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_13_1136q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_1_1148q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_2_1147q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_3_1146q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_4_1145q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_5_1144q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_6_1143q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_7_1142q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_8_1141q <= '0';
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_9_1140q <= '0';
		ELSIF (clk = '1' AND clk'event) THEN
			IF (s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_sink_ready_1180_dataout = '1') THEN
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_0_1019q <= (rf_sink_data(58) AND wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_o(0));
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_10_1139q <= (rf_sink_data(60) AND wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_o(10));
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_11_1138q <= (rf_sink_data(60) AND wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_o(11));
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_12_1137q <= (rf_sink_data(60) AND wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_o(12));
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_13_1136q <= (rf_sink_data(60) AND wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_o(13));
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_1_1148q <= (rf_sink_data(59) AND wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_o(1));
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_2_1147q <= (rf_sink_data(60) AND wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_o(2));
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_3_1146q <= (rf_sink_data(60) AND wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_o(3));
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_4_1145q <= (rf_sink_data(60) AND wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_o(4));
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_5_1144q <= (rf_sink_data(60) AND wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_o(5));
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_6_1143q <= (rf_sink_data(60) AND wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_o(6));
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_7_1142q <= (rf_sink_data(60) AND wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_o(7));
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_8_1141q <= (rf_sink_data(60) AND wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_o(8));
				altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_9_1140q <= (rf_sink_data(60) AND wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_o(9));
			END IF;
		END IF;
	END PROCESS;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1027m_dataout <= wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_1026_o(3) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_wideor0_1025_dataout = '1'  ELSE wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1030_o(3);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1028m_dataout <= wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_1026_o(2) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_wideor0_1025_dataout = '1'  ELSE wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1030_o(2);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1029m_dataout <= wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_1026_o(1) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_wideor0_1025_dataout = '1'  ELSE wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1030_o(1);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1031m_dataout <= wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1027m_dataout WHEN altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_busy_1043q = '1'  ELSE wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1030_o(3);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1032m_dataout <= wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1028m_dataout WHEN altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_busy_1043q = '1'  ELSE wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1030_o(2);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1033m_dataout <= wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1029m_dataout WHEN altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_busy_1043q = '1'  ELSE wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1030_o(1);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1036m_dataout <= wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1031m_dataout AND NOT(s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_1023_dataout);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1037m_dataout <= wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1032m_dataout AND NOT(s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_1023_dataout);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1038m_dataout <= wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1033m_dataout AND NOT(s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_1023_dataout);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1092m_dataout <= rf_sink_data(49) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_13_1136q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1093m_dataout <= rf_sink_data(48) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_12_1137q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1094m_dataout <= rf_sink_data(47) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_11_1138q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1095m_dataout <= rf_sink_data(46) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_10_1139q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1096m_dataout <= rf_sink_data(45) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_9_1140q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1097m_dataout <= rf_sink_data(44) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_8_1141q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1098m_dataout <= rf_sink_data(43) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_7_1142q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1099m_dataout <= rf_sink_data(42) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_6_1143q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1100m_dataout <= rf_sink_data(41) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_5_1144q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1101m_dataout <= rf_sink_data(40) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_4_1145q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1102m_dataout <= rf_sink_data(39) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_3_1146q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1103m_dataout <= rf_sink_data(38) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_2_1147q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1104m_dataout <= rf_sink_data(37) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_1_1148q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1105m_dataout <= rf_sink_data(36) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_0_1019q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_last_packet_beat_1022m_dataout <= (s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_comb_497_dataout AND (wire_nl_w620w(0) AND wire_nl_w621w(0))) WHEN altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_busy_1043q = '1'  ELSE (s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_comb_497_dataout AND (((NOT rf_sink_data(55)) AND (NOT rf_sink_data(56))) AND rf_sink_data(57)));
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_0_1176m_dataout <= rf_sink_data(36) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE (altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_0_1019q OR altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_0_1135q);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_10_1166m_dataout <= rf_sink_data(46) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE (altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_10_1082q OR altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_10_1139q);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_11_1165m_dataout <= rf_sink_data(47) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE (altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_11_1081q OR altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_11_1138q);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_12_1164m_dataout <= rf_sink_data(48) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE (altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_12_1080q OR altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_12_1137q);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_13_1163m_dataout <= rf_sink_data(49) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE (altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_13_1079q OR altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_13_1136q);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_1_1175m_dataout <= rf_sink_data(37) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE (altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_1_1091q OR altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_1_1148q);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_2_1174m_dataout <= rf_sink_data(38) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE (altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_2_1090q OR altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_2_1147q);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_3_1173m_dataout <= rf_sink_data(39) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE (altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_3_1089q OR altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_3_1146q);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_4_1172m_dataout <= rf_sink_data(40) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE (altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_4_1088q OR altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_4_1145q);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_5_1171m_dataout <= rf_sink_data(41) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE (altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_5_1087q OR altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_5_1144q);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_6_1170m_dataout <= rf_sink_data(42) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE (altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_6_1086q OR altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_6_1143q);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_7_1169m_dataout <= rf_sink_data(43) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE (altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_7_1085q OR altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_7_1142q);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_8_1168m_dataout <= rf_sink_data(44) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE (altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_8_1084q OR altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_8_1141q);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_addr_9_1167m_dataout <= rf_sink_data(45) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE (altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_base_9_1083q OR altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_address_offset_9_1140q);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_0_1015m_dataout <= rf_sink_data(55) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_0_1078q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_1_1014m_dataout <= rf_sink_data(56) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1_1045q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_source_byte_cnt_2_1013m_dataout <= rf_sink_data(57) WHEN s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_first_packet_beat_1012_dataout = '1'  ELSE altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_2_1044q;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_burstcount_0_479m_dataout <= cp_data(55) AND NOT(s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_burstcount_476_dataout);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_burstcount_1_478m_dataout <= cp_data(56) AND NOT(s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_burstcount_476_dataout);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_burstcount_2_477m_dataout <= cp_data(57) OR s_wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_m0_burstcount_476_dataout;
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_1026_a <= ( altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_2_1044q & altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_1_1045q & altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_burst_uncompress_byte_counter_0_1078q & "1");
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_1026_b <= ( "0" & "1" & "1" & "1");
	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_1026 :  oper_add
	  GENERIC MAP (
		sgate_representation => 0,
		width_a => 4,
		width_b => 4,
		width_o => 4
	  )
	  PORT MAP ( 
		a => wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_1026_a,
		b => wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_1026_b,
		cin => wire_gnd,
		o => wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add0_1026_o
	  );
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1030_a <= ( rf_sink_data(57 DOWNTO 55) & "1");
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1030_b <= ( "0" & "1" & "1" & "1");
	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1030 :  oper_add
	  GENERIC MAP (
		sgate_representation => 0,
		width_a => 4,
		width_b => 4,
		width_o => 4
	  )
	  PORT MAP ( 
		a => wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1030_a,
		b => wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1030_b,
		cin => wire_gnd,
		o => wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add1_1030_o
	  );
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_a <= ( wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1092m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1093m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1094m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1095m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1096m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1097m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1098m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1099m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1100m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1101m_dataout
 & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1102m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1103m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1104m_dataout & wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_comb_1105m_dataout);
	wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_b <= ( "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "0" & "1" & "0" & "0");
	altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106 :  oper_add
	  GENERIC MAP (
		sgate_representation => 0,
		width_a => 14,
		width_b => 14,
		width_o => 14
	  )
	  PORT MAP ( 
		a => wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_a,
		b => wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_b,
		cin => wire_gnd,
		o => wire_altera_merlin_slave_agent_0013_altera_merlin_slave_agent_rx_eth_crc_checker_csr_translator_avalon_universal_slave_0_agent_altera_merlin_burst_uncompressor_uncompressor_add2_1106_o
	  );

 END RTL; --altera_merlin_slave_agent_0013
--synopsys translate_on
--VALID FILE
